OpenNMS API 1.2.9

## org.opennms.netmgt.config.eventd
Class EventdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.eventd.EventdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class EventdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_getNextEventID`
`private boolean` `_has_receivers` keeps track of state for field: _receivers
`private boolean` `_has_socketSoTimeoutPeriod` keeps track of state for field: _socketSoTimeoutPeriod
`private boolean` `_has_TCPPort` keeps track of state for field: _TCPPort
`private boolean` `_has_UDPPort` keeps track of state for field: _UDPPort
`private int` `_receivers`
`private int` `_socketSoTimeoutPeriod`
`private java.lang.String` `_socketSoTimeoutRequired`
`private int` `_TCPPort`
`private int` `_UDPPort`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`EventdConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteSocketSoTimeoutPeriod()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getGetNextEventID()` Returns the value of field 'getNextEventID'.
`int` `getReceivers()` Returns the value of field 'receivers'.
`int` `getSocketSoTimeoutPeriod()` Returns the value of field 'socketSoTimeoutPeriod'.
`java.lang.String` `getSocketSoTimeoutRequired()` Returns the value of field 'socketSoTimeoutRequired'.
`int` `getTCPPort()` Returns the value of field 'TCPPort'.
`int` `getUDPPort()` Returns the value of field 'UDPPort'.
`boolean` `hasReceivers()`
`boolean` `hasSocketSoTimeoutPeriod()`
`boolean` `hasTCPPort()`
`boolean` `hasUDPPort()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setGetNextEventID(java.lang.String getNextEventID)` Sets the value of field 'getNextEventID'.
`void` `setReceivers(int receivers)` Sets the value of field 'receivers'.
`void` `setSocketSoTimeoutPeriod(int socketSoTimeoutPeriod)` Sets the value of field 'socketSoTimeoutPeriod'.
`void` `setSocketSoTimeoutRequired(java.lang.String socketSoTimeoutRequired)` Sets the value of field 'socketSoTimeoutRequired'.
`void` `setTCPPort(int TCPPort)` Sets the value of field 'TCPPort'.
`void` `setUDPPort(int UDPPort)` Sets the value of field 'UDPPort'.
`static EventdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _TCPPort

    private int _TCPPort

### _has_TCPPort

    private boolean _has_TCPPort

  keeps track of state for field: _TCPPort

### _UDPPort

    private int _UDPPort

### _has_UDPPort

    private boolean _has_UDPPort

  keeps track of state for field: _UDPPort

### _receivers

    private int _receivers

### _has_receivers

    private boolean _has_receivers

  keeps track of state for field: _receivers

### _getNextEventID

    private java.lang.String _getNextEventID

### _socketSoTimeoutRequired

    private java.lang.String _socketSoTimeoutRequired

### _socketSoTimeoutPeriod

    private int _socketSoTimeoutPeriod

### _has_socketSoTimeoutPeriod

    private boolean _has_socketSoTimeoutPeriod

  keeps track of state for field: _socketSoTimeoutPeriod

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### EventdConfiguration

    public EventdConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteSocketSoTimeoutPeriod

    public void deleteSocketSoTimeoutPeriod()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getGetNextEventID

    public java.lang.String getGetNextEventID()

  Returns the value of field 'getNextEventID'.

  Returns:
    the value of field 'getNextEventID'.

### getReceivers

    public int getReceivers()

  Returns the value of field 'receivers'.

  Returns:
    the value of field 'receivers'.

### getSocketSoTimeoutPeriod

    public int getSocketSoTimeoutPeriod()

  Returns the value of field 'socketSoTimeoutPeriod'.

  Returns:
    the value of field 'socketSoTimeoutPeriod'.

### getSocketSoTimeoutRequired

    public java.lang.String getSocketSoTimeoutRequired()

  Returns the value of field 'socketSoTimeoutRequired'.

  Returns:
    the value of field 'socketSoTimeoutRequired'.

### getTCPPort

    public int getTCPPort()

  Returns the value of field 'TCPPort'.

  Returns:
    the value of field 'TCPPort'.

### getUDPPort

    public int getUDPPort()

  Returns the value of field 'UDPPort'.

  Returns:
    the value of field 'UDPPort'.

### hasReceivers

    public boolean hasReceivers()

### hasSocketSoTimeoutPeriod

    public boolean hasSocketSoTimeoutPeriod()

### hasTCPPort

    public boolean hasTCPPort()

### hasUDPPort

    public boolean hasUDPPort()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setGetNextEventID

    public void setGetNextEventID(java.lang.String getNextEventID)

  Sets the value of field 'getNextEventID'.

  Parameters:
    `getNextEventID` - the value of field 'getNextEventID'.

### setReceivers

    public void setReceivers(int receivers)

  Sets the value of field 'receivers'.

  Parameters:
    `receivers` - the value of field 'receivers'.

### setSocketSoTimeoutPeriod

    public void setSocketSoTimeoutPeriod(int socketSoTimeoutPeriod)

  Sets the value of field 'socketSoTimeoutPeriod'.

  Parameters:
    `socketSoTimeoutPeriod` - the value of field 'socketSoTimeoutPeriod'.

### setSocketSoTimeoutRequired

    public void setSocketSoTimeoutRequired(java.lang.String socketSoTimeoutRequired)

  Sets the value of field 'socketSoTimeoutRequired'.

  Parameters:
    `socketSoTimeoutRequired` - the value of field 'socketSoTimeoutRequired'.

### setTCPPort

    public void setTCPPort(int TCPPort)

  Sets the value of field 'TCPPort'.

  Parameters:
    `TCPPort` - the value of field 'TCPPort'.

### setUDPPort

    public void setUDPPort(int UDPPort)

  Sets the value of field 'UDPPort'.

  Parameters:
    `UDPPort` - the value of field 'UDPPort'.

### unmarshal

    public static EventdConfiguration unmarshal(java.io.Reader reader)
                                         throws org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.